# __gnu_cxx::__per_type_pool< _Tp, _PoolTp, _Thread > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Tp, template< bool > class _PoolTp, bool _Thread>
struct __gnu_cxx::__per_type_pool< _Tp, _PoolTp, _Thread >

Definition at line 472 of file mt_allocator.h.

## Public Types

- typedef _PoolTp< _Thread > pool_type
- typedef _Tp value_type

## Static Public Member Functions

- static pool_type & _S_get_pool ()

The documentation for this struct was generated from the following file:

- mt_allocator.h